# Return AI App Builder publication process

This function polls the publishing progress information.

Note:

  This function requires that your package includes the AI App Builder feature.

Important:

  When you disable the AI App Builder feature, the system disables this function.

Endpoint: GET /Nova/poll_publish
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `file_name` (string, required)
    The publish process's log file name.

Note:

This is the full path to the log file.
    Example: "/home/cpuser/logs/nova_publish_2024-02-02T16:46:58.log"

  - `pid` (integer, required)
    The publish action's process ID, as returned by the publish function.

Note:

  This value must be a positive integer. The system reports is_running
  as 0 unless this process ID belongs to a running process on this
  account.
    Example: 123456

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "poll_publish"

  - `module` (string)
    The name of the module called.
    Example: "Nova"

  - `result` (object)

  - `result.data` (object)

  - `result.data.failed` (integer)
    Tracks the publishing process failure status.
* 1 - AI App Builder publishing process failed.
* 0 - AI App Builder publishing process succeeded.
    Enum: 1, 0

  - `result.data.is_running` (integer)
    Whether the publishing process is running.
* 1 - AI App Builder publishing process is currently running.
* 0 - AI App Builder publishing process is not running.
    Enum: 1, 0

  - `result.data.log` (array)
    The publishing log's content as an array of lines.
    Example: ["Starting publish...","Processing files...","Completed"]

  - `result.data.progress` (integer)
    Tracks the publishing process completion percentage.
    Example: 50

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


